package com.zd.alg.smartlock.mapper;

import com.zd.alg.smartlock.domain.SlApplyApproval;

import java.util.List;

/**
 * @Author: liujh
 * @Date: 2022/09/02/18:10
 * @Description:
 */
public interface SlApplyApprovalMapper {

    /**
     * 查询申请审核
     *
     * @param id 申请审核主键
     * @return 申请审核
     */
    SlApplyApproval selectSlApplyApprovalById(Long id);

    /**
     * 查询申请审核列表
     *
     * @param slApplyApproval 申请审核
     * @return 申请审核集合
     */
    List<SlApplyApproval> selectSlApplyApprovalList(SlApplyApproval slApplyApproval);

    /**
     * 根据主键集合查询申请审核列表
     *
     * @param ids 主键集合
     * @return 申请审核集合
     */
    List<SlApplyApproval> getListByIds(List<Long> ids);

    /**
     * 新增申请审核
     *
     * @param slApplyApproval 申请审核
     * @return 结果
     */
    int insertSlApplyApproval(SlApplyApproval slApplyApproval);

    /**
     * 修改申请审核
     *
     * @param slApplyApproval 申请审核
     * @return 结果
     */
    int updateSlApplyApproval(SlApplyApproval slApplyApproval);

    /**
     * 删除申请审核
     *
     * @param id 申请审核主键
     * @return 结果
     */
    int deleteSlApplyApprovalById(Long id);

    /**
     * 批量删除申请审核
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSlApplyApprovalByIds(Long[] ids);
}
